Get foster totals
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-homes/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-homes/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-homes/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"homes": {
"total": 123,
"active": 123
},
"capacity": {
"total": 123,
"filled": 123,
"available": 123,
"utilization_percent": 123
},
"durations": {
"completed_count": 123,
"average_days": 123,
"shortest_days": 123,
"longest_days": 123
},
"end_reasons": [
{
"reason": "<string>",
"n": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Foster homes
Get foster totals
Totals across your foster homes: how many there are, how many spots they have and how full they are, and how long completed placements lasted and why they ended. Capacity and filled spots count active homes only. Needs read on Animals.
GET
/
api
/
animals
/
foster-homes
/
stats
Get foster totals
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-homes/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-homes/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-homes/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"homes": {
"total": 123,
"active": 123
},
"capacity": {
"total": 123,
"filled": 123,
"available": 123,
"utilization_percent": 123
},
"durations": {
"completed_count": 123,
"average_days": 123,
"shortest_days": 123,
"longest_days": 123
},
"end_reasons": [
{
"reason": "<string>",
"n": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.